/* pole hledat */

#header .search-input {
    border-radius: 32px;
    box-shadow: 0 0 10px rgba(0, 0, 0, .16);
}

#header .search-form:hover .search-input,
#header .search-input:focus, .search-focused #header .search-input, .search-window-visible #header .search-input {
    border: solid 1px #1b18375b;
}

/* uvod baner */
.uvod_baner {
    position: relative;
}

.uvod_baner .uvod_baner_wrap {
    position: relative;
}

.uvod_baner .uvod_baner_obsah {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 90%;
}

.uvod_baner h1 {
    font-size: clamp(32px, 6vw, 72px);
    font-family: var(--template-headings-font), sans-serif;
    color: #fff;
    margin-bottom: 12px;
    text-align: center;
}

.uvod_baner p {
    font-size: clamp(16px, 2vw, 24px);
    font-family: var(--template-headings-font), sans-serif;
    color: #fff;
    text-align: center;
}

.uvod_baner span {
    display: inline-block;
    border: none;
    font-weight: 600;
    height: auto;
    min-width: 100px;
    white-space: nowrap;
    background-color: var(--color-secondary);
    color: #1a1937;
    padding: 14px 32px;
    font-size: 20px;
    transition: 0.3s ease all;
}

.uvod_baner:hover span {
    background-color: #2B7195;
    color: #fff;
}

.uvod_baner > div {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
}

.uvod_baner img {
    transform: scale(1);
    transition: 0.3s ease all;
}

.uvod_baner:hover img {
    transform: scale(0.98);
}

/* postranni baner */
.postranni_baner {
    position: relative;
}

.postranni_baner .postranni_baner_wrap {
    position: relative;
}

.postranni_baner .postranni_baner_obsah {
    position: absolute;
    left: 24px;
    bottom: 24px;
    width: 90%;
}

.postranni_baner h2 {
    font-size: clamp(20px, 2vw, 40px);
    font-family: var(--template-headings-font), sans-serif;
    color: #fff;
    margin-bottom: 12px;
}

.postranni_baner p {
    font-size: clamp(16px, 1vw, 18px);
    font-family: var(--template-headings-font), sans-serif;
    color: #fff;
}

@media (min-width: 1200px) {
    .postranni_baner p {
        font-size: 20px;
    }
}

.postranni_baner span {
    display: inline-block;
    border: none;
    font-weight: 600;
    height: auto;
    min-width: 100px;
    white-space: nowrap;
    color: #fff;
    padding: 6px 20px;
    font-size: 18px;
    transition: 0.3s ease all;
}

.postranni_baner .hygiene_button {
    background-color: #62ADC0;
}

.postranni_baner .food_button {
    background-color: #829559;
}

.postranni_baner:hover .hygiene_button,
.postranni_baner:hover .food_button {
    background-color: #2B7195;
}

.postranni_baner > div {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
}

.banner-category a, .banner-footer a, .banner-wrapper a, .banners-content a, .footer-banner a {
    display: block;
}

@media (min-width: 768px) {
    .banner-category a img, .banner-footer a img, .banner-wrapper a img, .banners-content a img, .footer-banner a img {
        transform: scale(1);
    }
}

@media (min-width: 768px) {
    .banner-category a:hover img, .banner-footer a:hover img, .banner-wrapper a:hover img, .banners-content a:hover img, .footer-banner a:hover img {
        transform: scale(0.98);
    }
}

/* banery respo */

@media (max-width: 1200px) {
    .col-sm-4 .banner-wrapper .postranni_baner .postranni_baner_wrap img {
        min-height: 200px;
        width: 100%;
        object-fit: cover;
    }

    .col-sm-8 #carousel .uvod_baner img {
        min-height: 400px;
        width: 100%;
        object-fit: cover;
    }
}

@media (max-width: 1200px) {
    .postranni_baner span {
        font-size: 14px;
    }

    #content .postranni_baner p {
        margin-bottom: 12px;
    }
}

@media (max-width: 992px) {
    .col-sm-8 {
        width: 100%;
    }

    .col-sm-4 {
        width: 100%;
    }

    .col-sm-4 .banner-wrapper {
        margin-top: 16px;
    }

    .col-sm-4 .banner-wrapper,
    .col-sm-4 .banner-wrapper .postranni_baner,
    .col-sm-4 .banner-wrapper .postranni_baner .postranni_baner_wrap {
        max-height: 220px;
    }

    .col-sm-4 .banner-wrapper .postranni_baner .postranni_baner_wrap img {
        max-height: 220px;
        width: 100%;
        object-fit: cover;
    }

    .postranni_baner .postranni_baner_obsah {
        position: absolute;
        left: 50%;
        top: 50%;
        bottom: auto;
        width: 90%;
        text-align: center;
        transform: translate(-50%, -50%);
    }
}

@media (max-width: 640px) {
    .col-sm-4 .banner-wrapper,
    .col-sm-4 .banner-wrapper .postranni_baner,
    .col-sm-4 .banner-wrapper .postranni_baner .postranni_baner_wrap {
        min-height: 200px;
    }

    .col-sm-4 .banner-wrapper .postranni_baner .postranni_baner_wrap img {
        min-height: 200px;
        width: 100%;
        object-fit: cover;
    }

    .col-sm-8 #carousel .uvod_baner img {
        min-height: 330px;
        width: 100%;
        object-fit: cover;
    }
}

@media (max-width: 480px) {
    .col-sm-4 .banner-wrapper,
    .col-sm-4 .banner-wrapper .postranni_baner,
    .col-sm-4 .banner-wrapper .postranni_baner .postranni_baner_wrap {
        min-height: 230px;
    }

    .col-sm-4 .banner-wrapper .postranni_baner .postranni_baner_wrap img {
        min-height: 230px;
    }

    .col-sm-8 #carousel .uvod_baner img {
        min-height: 380px;
    }
}

/* carousel úvod */

.id-1 .product .p-desc {
    display: none;
}

.product-slider-holder .product-slider-navigation {
    opacity: 1;
}

/* benefity */

@media (min-width: 480px) {
    .benefitBanner {
        margin-top: 64px;
        margin-bottom: 64px;
    }
}

.benefitBanner__item {
    flex-direction: column;
}

.benefitBanner__content {
    text-align: center;
}

.benefitBanner__picture img {
    max-height: 64px;
}

/* rozcestnik */

.rozcestnik_grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(4, 1fr);
    gap: 10px;
    height: 550px;
}

div.rozcestnik_grid a.rozcestnik_box {
    position: relative;
    display: flex;
    background-size: cover;
    background-position: center;
    flex-direction: column;
    justify-content: flex-end;
    padding: 20px;
    color: white;
    transition: transform 0.3s ease-in-out, opacity 0.3s ease;
}

.rozcestnik_box:hover {
    transform: scale(0.98);
    opacity: 0.85;
}

.rozcestnik_box::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #00000063;
}

.rozcestnik_box > div {
    position: relative;
    z-index: 20;
}

.rozcestnik_box h3 {
    font-size: 40px;
    margin: 0px 0px 12px 0px;
    color: #fff;
    transition: 0.3s ease all;
}

.rozcestnik_box p {
    color: #fff;
    font-weight: 600;
    display: none;
}

.rozcestnik_box span {
    display: none;
}

.rozcestnik_box1 {
    grid-column: 1 / span 4;
    grid-row: 1 / span 2;
    background-image: url('https://www.vespreji.cz/user/documents/upload/prvni_pomoc_MM.jpg');
}

.rozcestnik_box2 {
    grid-column: 5 / span 2;
    grid-row: 1 / span 2;
    background-image: url('/user/documents/upload/mceclip0-12.png');
}

.rozcestnik_box3 {
    grid-column: 1 / span 2;
    grid-row: 3 / span 2;
    background-image: url('https://www.vespreji.cz/user/documents/upload/mceclip0-20.png');
}

.rozcestnik_box4 {
    grid-column: 3 / span 4;
    grid-row: 3 / span 2;
    background-image: url('https://www.vespreji.cz/user/documents/upload/hory sit.jpg');
}

.rozcestnik_grid .rozcestnik_box span {
    background: #2D7194;
    padding: 4px 16px;
    color: white !important;
    border-radius: 24px;
}

@media (max-width: 992px) {
    .rozcestnik_box h3 {
        font-size: 32px;
    }

    .rozcestnik_grid {
        grid-template-rows: repeat(6, 1fr);
    }

    .rozcestnik_box1 {
        grid-column: 1 / span 6;
        grid-row: 1 / span 2;
    }
    
    .rozcestnik_box2 {
        grid-column: 1 / span 3;
        grid-row: 3 / span 2;
    }
    
    .rozcestnik_box3 {
        grid-column: 4 / span 3;
        grid-row: 3 / span 2;
    }
    
    .rozcestnik_box4 {
        grid-column: 1 / span 6;
        grid-row: 5 / span 2;
    }
}

@media (max-width: 740px) {
    .rozcestnik_grid {
        grid-template-rows: repeat(4, 1fr);
    }

    .rozcestnik_box1 {
        grid-column: 1 / span 6;
        grid-row: 1 / span 1;
    }
    
    .rozcestnik_box2 {
        grid-column: 1 / span 6;
        grid-row: 2 / span 1;
    }
    
    .rozcestnik_box3 {
        grid-column: 1 / span 6;
        grid-row: 3 / span 1;
    }
    
    .rozcestnik_box4 {
        grid-column: 1 / span 6;
        grid-row: 4 / span 1;
    }
}